<script setup>
import Constants from '@/Constants'
</script>


<script>
export default {

	data() {
		const element = document.querySelector('meta[name="data"]')
		const data = element ? JSON.parse(element.getAttribute('content')) : null
		const o = {
			data,
			csrf: document.querySelector('meta[name="csrf-token"]').getAttribute('content'),
			email: this.$route.params.email,
			item: null,
			disable: null,
		}
		return o
	},

	methods: {
	},

	mounted() {
		if (this.data) {
			this.item = this.data.member
			this.disable = this.data.member.disabled ? true : false
		}
	},

	i18n: {
		messages: {
			en: {
				title: (ctx) => `Edit ${ctx.named('name')}`,
				role: "Role",
				locale: "Locale",
				name: "Name",
				disabled: "Disabled",
				resigned: "Resigned",
				signup: "Sign Up",
				disable: "Disable",
				ok: "Save",
			},
			th: {
				title: (ctx) => `แก้ไข ${ctx.named('name')}`,
				role: "ประเภท",
				locale: "ภาษา",
				name: "ชื่อ",
				disabled: "ถูกปิดการทำงาน",
				resigned: "ลาออกจากระบบ",
				signup: "สมัครสมาชิก",
				disable: "ปิดการทำงาน",
				ok: "บันทึก",
			},
		},
	},
}
</script>


<template>
	<AppBox :title="$t('title', { name: email })">
		<div v-if="item">
			<img :width="128" :height="128" :src="`${Constants.baseUrl}/members/${item.email}/icon`" :alt="item.email"
				:title="item.name" />
			<br />

			<h2><strong>{{ item.email }}</strong></h2>
			<br />

			<table>
				<thead>
					<tr>
						<th>{{ $t('common.name') }}</th>
						<th>{{ $t('common.value') }}</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td><span>{{ $t('role') }}</span></td>
						<td><span>{{ item.role }}</span></td>
					</tr>
					<tr>
						<td><span>{{ $t('locale') }}</span></td>
						<td><span>{{ item.locale }}</span></td>
					</tr>
					<tr>
						<td><span>{{ $t('name') }}</span></td>
						<td><span>{{ item.name }}</span></td>
					</tr>
					<tr>
						<td><span>{{ $t('disabled') }}</span></td>
						<td><span>{{ item.disabled }}</span></td>
					</tr>
					<tr>
						<td><span>{{ $t('resigned') }}</span></td>
						<td><span>{{ item.resigned }}</span></td>
					</tr>
					<tr>
						<td><span>{{ $t('signup') }}</span></td>
						<td><span>{{ item.created }}</span></td>
					</tr>
				</tbody>
			</table>
			<br />

			<form id="form" method="post" :action="`/members/${email}`">
				<input type="hidden" name="_token" :value="csrf" />

				<input id="disable" name="disable" type="checkbox" style="margin-right: 0.5rem" v-model="disable" />
				<label for="disable">{{ $t('disable') }}</label><br />
				<br />

				<button type="submit">{{ $t('ok') }}</button>
			</form>
		</div>
	</AppBox>
</template>


<style scoped>
table {
	border-collapse: collapse;
	border: 1px solid #999999;
}

table th {
	border: 1px solid #999999;
	padding: 0.75em 1.0em;
	font-weight: bold;
}

table td {
	border: 1px solid #999999;
	padding: 0.75em 1.0em;
}
</style>
